<?php 
    global $wp_query;
    $empty_cell = '<td width="33.3%" valign="middle" class="theme_excerptposts_tr"></td>';
    
    $wp_query = new WP_Query( array( 'ignore_sticky_posts' => false, 'paged' => get_query_var('paged') ?: 1) );
    
    if ( $wp_query->have_posts() ) {
        echo '<table class="theme_excerptposts_table" width="100%" cellpading="5" cellspacing="5" style="border-spacing: 5px;">';
        $i = 0;
        
        while( $wp_query->have_posts() ) {
            $wp_query->the_post();
            if($i == 0){echo '<tr class="theme_excerptposts_tr">';}
        ?>
        <td width="33.3%" valign="middle" class="theme_excerptposts_td">
            <div class="theme_excerptpost">
                <div class="theme_excerptpost_thumb">
                    <?php if( has_post_thumbnail() ) {
                        the_post_thumbnail('excerpt');
                    }
                    else {
                        echo '<img src="'.get_stylesheet_directory_uri().'/images/excerpt.jpg">';
                    }
                    ?>
                    
                    <?php if (is_sticky()) {
                        ?>
                        <span class="theme_post_sticky"><?php echo 'Important News'; ?></span>
                        <?php
                    } ?>
                </div>
                
                <div class="theme_excerptpost_headline">

                                          
                    <div class="theme_excerptpost_title">
                        <a href="<?php the_permalink() ?>" alt="Read More" title="Read More"><?php trim_title_chars('18', '...'); ?></a>
                    </div>
                    
               </div>
            </div>
        </td>
        <?php
        $i++;
        if($i == 3){echo "</tr>"; $i = 0;}
        }
        if($i == 1){echo $empty_cell;echo $empty_cell;}
        else if($i == 2){echo $empty_cell;}
        if($i == 3) echo '</tr>';
        echo '</table>';
    }
    
    else {
        ?>
        <div class="theme_nothingfound">
            <div class="theme_nothingfound_title">
                <span>No Posts</span>
            </div>
                    
            <div class="theme_nothingfound_content">
                <span>No posts are published on the site at the moment... Maybe, would you share something? People are waiting for your posts!</span>
                <br><br>
                <?php get_search_form(); ?>
            </div>
        </div>
        <?php
    }
    wp_reset_query();
?>